#include <iostream>
using namespace std;

void calculate_profit(float P[200000],unsigned int N)
{
	unsigned int i,j,A[200000];
	double mx=0,Z=0;
	for (i=0;i<N;i++)
	{
		cin>>A[i];
		cin>>P[i];
	}
	for(i=0;i<N;i++){
		for(j=0;j<N;j++)
		{
			if(P[j]>=P[i])
				Z+=A[j];
		}
		Z=Z*P[i]*0.01;
		if(Z>mx)
			mx=Z;
		Z=0;
	}
	cout<<fixed<<mx;
}
int main() {
	unsigned int N;
	float P[200000];
	cin>>N;
	calculate_profit(P,N);
	return 0;
}